Skip to main content
GET
Retrieve a partner referral request

Authorizations

Authorization
string
header
required

An Account API key or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-07-2"

Path Parameters

id
string
required

Partner referral request ID, prefixed prfr_.

Response

Request retrieved.

account
object | null
required

Business receiving the request, when one is assigned.

authorized_user_id
string | null
required

The partner's team membership this referral was created for, prefixed ausr_. null when the referral is personal.

Example:

null

code
string | null
required

Unique referral code, when assigned.

Example:

null

created_at
string
required

When the request was created, as an ISO 8601 timestamp.

Example:

"2026-01-01T12:00:00.000Z"

id
string
required

Partner referral request ID, prefixed prfr_.

Example:

"prfr_xxxxxxxxxxxxxx"

max_redemptions
integer | null
required

Maximum permitted redemptions, when limited.

Example:

null

partner
object
required

Public profile of the requesting partner.

request_type
enum<string>
required

How the referral request was initiated.

Available options:
manual,
ownership_transfer,
link
Example:

"manual"

rewards
object[]
required
status
enum<string> | null
required

The approval state, or null for requests without an approval process.

Available options:
pending,
accepted,
denied,
cancelled,
null
Example:

"accepted"

updated_at
string
required

When the request last changed, as an ISO 8601 timestamp.

Example:

"2026-01-01T12:00:00.000Z"

user
object | null
required

User receiving the attribution request, or null for a business request or referral link.